Bug 1498976 (CVE-2017-12175) - CVE-2017-12175 Satellite 6: XSS in discovery rule filter autocomplete functionality
Summary: CVE-2017-12175 Satellite 6: XSS in discovery rule filter autocomplete functio...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-12175
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1494515 1498977 1498978
Blocks: 1432305
TreeView+ depends on / blocked
 
Reported: 2017-10-05 17:09 UTC by Kurt Seifried
Modified: 2019-09-29 14:23 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:26:36 UTC


Attachments (Terms of Use)
Verified XSS (124.15 KB, image/png)
2018-09-12 18:41 UTC, Lai
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:19:44 UTC
Foreman Issue Tracker 22042 None None None 2017-12-20 16:26:39 UTC

Description Kurt Seifried 2017-10-05 17:09:36 UTC
Jan Hutař of Red Hat reports:

There is a XSS possible in discovery rule when you are entering filter and you use autocomplete functionality


Version-Release number of selected component (if applicable):
satellite-6.3.0-18.0.beta.el7sat.noarch

Comment 2 Daniel Lobato Garcia 2017-12-20 16:26:32 UTC
Created redmine issue http://projects.theforeman.org/issues/22042 from this bug

Comment 4 Lai 2018-09-12 18:41:55 UTC
Created attachment 1482812 [details]
Verified XSS

Comment 5 errata-xmlrpc 2018-10-16 15:19:36 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.4 for RHEL 7

Via RHSA-2018:2927 https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.